python-jenkins_0.4.11-1_all.deb


Advertisement

Description

python-jenkins - bindings for the Jenkins Remote API - Python 2.7

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-jenkins
Package version: 0.4.11
Package release: 1
Package architecture: all
Package type: deb
Installed size: 83 B
Download size: 16.95 KB
Official Mirror: archive.ubuntu.com
This package provides Python bindings for the Jenkins Remote API. It current supports management of: * Project configuration * Build control * Slave node configuration This package contains the Python 2.7 module.

Alternatives

    Download

    Source package: python-jenkins

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-jenkins deb package:
      # sudo apt-get install python-jenkins

    Files

    • /usr/lib/python2.7/dist-packages/jenkins/__init__.py
    • /usr/lib/python2.7/dist-packages/jenkins/plugins.py
    • /usr/lib/python2.7/dist-packages/jenkins/version.py
    • /usr/lib/python2.7/dist-packages/python_jenkins-0.4.11.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/python_jenkins-0.4.11.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/python_jenkins-0.4.11.egg-info/not-zip-safe
    • /usr/lib/python2.7/dist-packages/python_jenkins-0.4.11.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/python_jenkins-0.4.11.egg-info/top_level.txt
    • /usr/share/doc/python-jenkins/changelog.Debian.gz
    • /usr/share/doc/python-jenkins/copyright

    Changelog

    2015-12-22 - Thomas Goirand <zigo@debian.org> python-jenkins (0.4.11-1) unstable; urgency=medium * New upstream release (Closes: #806719). * Added new (build-)depends: python{3,}-multi-key-dict. * Added python-testscenarios as build-depends.

    2015-10-23 - Thomas Goirand <zigo@debian.org> python-jenkins (0.4.8-2) unstable; urgency=medium [ Fathi Boudra ] * Added myself as Uploader. [ Thomas Goirand ] * Added missiong python{3,}-setuptools build-depends (Closes: #802714).

    2015-08-24 - Thomas Goirand <zigo@debian.org> python-jenkins (0.4.8-0.1) unstable; urgency=medium * Putting the package under the OpenStack PKG team, with agreement from Paul: - New VCS URLs. - Team as maintainer. - James, Paul and myself as uploaders. - Using git tag based packaging (fixed gbp.conf). * New upstream release. * Removed usless version from python-all build-depends. * Removed now useless X-Python-Version: >= 2.6. * Standards-Version is now 3.9.6. * Added python-pbr and dh-python as build-depends. * Fixed debian/copyright. * Added Python3 support. * Now running unit tests at build time. * Fixed debian/copyright as directed by the FTP masters. * debian/watch file now using github tag to avoid PyPi broken one. * Now generating the docs.

    2014-05-11 - Fathi Boudra <fabo@debian.org> python-jenkins (0.2.1-0.1) unstable; urgency=medium * Non-maintainer upload. * New upstream release. * Merge changes from Ubuntu: force use of python distutils for build system * Add add-fixes-for-crumb-addition-to-post-requests.patch - stolen upstream

    2012-11-17 - Paul Belanger <paul.belanger@polybeacon.com> python-jenkins (0.2-2) unstable; urgency=low * debian/control: - We are an architecture-independent package so set Architecture: all - Drop XSBC-Original-Maintainer field - Add James Page to Maintainer and Paul Belange to Uploaders * debian/copyright: - Add missing BSD-3-Clause License text * debian/rules: - Update get-orig-source making it debian-policy (4.9) compliant * debian/source.lintian-overrides: - Removed

    2012-11-14 - Paul Belanger <paul.belanger@polybeacon.com> python-jenkins (0.2-1) unstable; urgency=low * Initial release (Closes: #693268)

    2011-12-31 - Matthias Klose <doko@ubuntu.com> python-jenkins (0.2-0ubuntu2) precise; urgency=low * Rebuild to drop python2.6 dependencies.

    2011-08-10 - James Page <james.page@ubuntu.com> python-jenkins (0.2-0ubuntu1) oneiric; urgency=low * New upstream release.

    2011-06-30 - James Page <james.page@ubuntu.com> python-jenkins (0.1-0ubuntu1) oneiric; urgency=low * Initial release

    Advertisement
    Advertisement